Subject: Re: [PATCH v2 6/7] gc: don't run "reflog expire" when keeping reflogs

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 15 Mar 2019 11:24:18 +0100

On Fri, Mar 15 2019, Duy Nguyen wrote:

> On Thu, Mar 14, 2019 at 7:35 PM Ævar Arnfjörð Bjarmason
> <[email-masked]> wrote:
>> @@ -127,6 +140,10 @@ static void gc_config(void)
>>                         pack_refs = git_config_bool("gc.packrefs", value);
>>         }
>>
>> +       if (gc_config_is_timestamp_never("gc.reflogexpire") &&
>> +           gc_config_is_timestamp_never("gc.reflogexpireunreachable"))
>
> Nit. configset api normalizes the key internally, so we can safely
> write gc.reflogExpireUnreachable here, which is a bit easier to read.

I didn't know that, do we want to do that?

I'd think that as a matter of coding style always sticking to lower case
in the C code made more sense, because e.g. you might #define a config
key, and then use it both in git_config_*() as well as via strcmp() in
some callback. Mixing the two would lead to confusion and possible bugs
as we'd refactor the former of those patterns to the latter.